com.atid.lib.module.barcode.ssi.param

## Class SSI1DParamValueList

- java.lang.Object
- - com.atid.lib.module.barcode.ssi.param.SSI1DParamValueList

-     public class SSI1DParamValueList
      extends java.lang.Object

  Get or Set data of barcode scanner's parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSI1DParamValueList()` Create an instance of the SSI1DParamValueList class.
    `SSI1DParamValueList(SSI1DParamValue item)` Create an instance of the SSI1DParamValueList class.
    `SSI1DParamValueList(SSI1DParamValue[] item)` Create an instance of the SSI1DParamValueList class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(SSI1DParamName name, java.lang.Object value)` Add parameter information to the SSI1DParamValueList instance.
    `boolean` | `add(SSI1DParamValue item)` Add parameter information to the SSI1DParamValueList instance.
    `boolean` | `add(SSI1DParamValue[] items)` Add all the information for the SSI1DParamValueList instance.
    `SSI1DParamValue` | `get(int index)` Returns the parameter information of the barcode module.
    `SSI1DParamValue` | `getAt(SSI1DParamName name)` Returns the parameter information of the barcode module.
    `byte[]` | `getBytes(int engine)` Returns the parameters of the SSI1DParamValueList.
    `int` | `getCount()` Returns the type of parameter stored in the SSI1DParamValueList instance and the number of pieces of information in the value pair.
    `java.lang.Object` | `getValue(int index)` Returns the parameter value of the SSI1DParamValueList.
    `java.lang.Object` | `getValueAt(SSI1DParamName name)` Returns the parameter value of the SSI1DParamValueList.
    `static SSI1DParamValueList` | `parseParams(byte[] data, int engine)` Returns the parameter name and value of the barcode module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSI1DParamValueList

          public SSI1DParamValueList()

      Create an instance of the SSI1DParamValueList class.

    - #### SSI1DParamValueList

          public SSI1DParamValueList(SSI1DParamValue item)

      Create an instance of the SSI1DParamValueList class.

    - #### SSI1DParamValueList

          public SSI1DParamValueList(SSI1DParamValue[] item)

      Create an instance of the SSI1DParamValueList class.

  - ### Method Detail

    - #### getCount

          public int getCount()

      Returns the type of parameter stored in the SSI1DParamValueList instance and the number of pieces of information in the value pair.
      Returns:
        An integer representing the count.

    - #### add

          public boolean add(SSI1DParamValue item)

      Add parameter information to the SSI1DParamValueList instance.
      Parameters:
        `item` - SSI1DParamValue represent the parameter type and value.
      Returns:
        An boolean The result of adding the SSI1DParamValueList instance.

    - #### add

          public boolean add(SSI1DParamValue[] items)

      Add all the information for the SSI1DParamValueList instance.
      Parameters:
        `items` - An instance of SSI1DParamValueList with added parameter informations.
      Returns:
        An boolean The result of adding the SSI1DParamValueList instance.

    - #### add

          public boolean add(SSI1DParamName name,
                             java.lang.Object value)

      Add parameter information to the SSI1DParamValueList instance.
      Parameters:
        `item` - SSI1DParamName represent the parameter type.
        `value` - Object represent the parameter value.
      Returns:
        An boolean The result of adding the SSI1DParamValueList instance.

    - #### getAt

          public SSI1DParamValue getAt(SSI1DParamName name)
                                throws ATException

      Returns the parameter information of the barcode module.
      Parameters:
        `name` - An identifier representing the name of the information in the SSI1DParamValueList.
      Returns:
        A SSI1DParamValue that specifies the name and value of the parameter of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### get

          public SSI1DParamValue get(int index)
                              throws ATException

      Returns the parameter information of the barcode module.
      Parameters:
        `index` - An identifier representing the location of the information in the SSI1DParamValueList.
      Returns:
        A SSI1DParamValue that specifies the name and value of the parameter of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getValueAt

          public java.lang.Object getValueAt(SSI1DParamName name)
                                      throws ATException

      Returns the parameter value of the SSI1DParamValueList.
      Parameters:
        `name` - An identifier representing the name of the information in the SSI1DParamValueList.
      Returns:
        A Object that specifies the value of the SSI1DParamValueList of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getValue

          public java.lang.Object getValue(int index)
                                    throws ATException

      Returns the parameter value of the SSI1DParamValueList.
      Parameters:
        `index` - An identifier representing the location of the information in the SSI1DParamValueList.
      Returns:
        A Object that specifies the value of the SSI1DParamValueList of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getBytes

          public byte[] getBytes(int engine)
                          throws ATException

      Returns the parameters of the SSI1DParamValueList.
      Parameters:
        `engine` - An identifier representing the type of the barcode module.
      Returns:
        A byte array that specifies the parameters of the SPCParamValueList of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### parseParams

          public static SSI1DParamValueList parseParams(byte[] data,
                                                        int engine)
                                                 throws ATException

      Returns the parameter name and value of the barcode module.
      Parameters:
        `data` - An identifier representing the parameter name and value of the barcode module.
        `engine` - An identifier representing the type of the barcode module.
      Returns:
        A SSI1DParamValueList that specifies the parameter name and value of the barcode module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.